<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** 検索の全角スペースを半角スペースへ変換 *****/
/* https://tatuking.com/wp-search-space/ */
function haup_search_space($query){
	if ( is_admin() || ! $query->is_main_query() ){
		return;
	}
	if( $query->is_search ) {
		$formtxt = $query->get( 's' );
		$formtxt = str_replace('　',' ',$formtxt);
		$query->set('s',$formtxt);
	}
}
add_action('pre_get_posts','haup_search_space');